<jhi-title
    [title]="'pcidssApp.selfAssessment.home.title'"></jhi-title>
<div class="d-flex view-height">
    <jhi-shared-left-nav class="col-3 no-padding"></jhi-shared-left-nav>
    <div class="col-9 no-padding section-margin">
        <div *ngIf="isStatusDone">
            <div class="card status-done">
                <div class="card-header d-flex"><i class="fa fa-info-circle"></i><h6>Info</h6></div>
                <div class="card-body p-2">
                    <div><p>The self questionnaire assessment has been reviewed by QA and sent to AOC officer(s) for
                        attestation.</p>
                    </div>
                    <div class="pull-right mt-5 mb-2">
                        <jhi-button (click)="routeToHome()" notification-ok>OK</jhi-button>
                    </div>
                </div>
            </div>
        </div>
        <div *ngIf="!isStatusDone">
            <div *ngIf="!reviewResponse?.length" class="mw-100 m-3">
                <div class="empty-section card">
                    <h4 class="no-records">No records to display</h4>
                </div>
                <div class="text-center mt-3">
                    <jhi-button (click)="routeToNotification()" submit-lg>Send Notification</jhi-button>
                </div>
            </div>
            <div *ngIf="reviewResponse?.length" class="col-9 no-padding section-margin">
                <div *ngIf="!isStatusDone" class="correction">
                    <table class="show-in-des table custom-table-striped p-4">
                        <thead>
                        <tr>
                            <th><label>Requirement#</label></th>
                            <th class="w-25"><label>Question#</label></th>
                            <th class="w-50"><label> QA Comments</label></th>
                            <th class="w-25"><label>Action</label></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr *ngFor="let review of reviewResponse">
                            <td>{{review.saqQuestion.pcidssRequirementId.requirementNumber}}</td>
                            <td>{{review.saqQuestion.questionNumber}}</td>
                            <td class="popover-content">
                            <span class="popover-display" [ngbPopover]="popTemplate"
                                  container="body" popoverTitle="Comment" placement="top"
                                  triggers="mouseenter:mouseleave">
                                <span>{{review.comments[review.comments.length-1].comment}}</span>
                            </span>
                            </td>
                            <td>
                                <jhi-button (click)="goToQuestion(review)" update-retake>Retake</jhi-button>
                            </td>
                            <ng-template #popTemplate>
                                <ul *ngFor="let comments of review.comments">
                                    <li>{{comments.comment}}</li>
                                </ul>
                            </ng-template>
                        </tr>
                        </tbody>
                    </table>

                    <div class="show-in-mob p-2">
                        <div class="shadow-view" *ngFor="let review of reviewResponse">
                            <div class="d-flex">
                                <div class="col-6"><label>Requirement#</label>&nbsp;
                                </div>
                                <div class="col-6 pr-3">{{review.saqQuestion.pcidssRequirementId.requirementNumber}}
                                </div>
                            </div>
                            <div class="d-flex">
                                <div class="col-6"><label>Question#</label>&nbsp;
                                </div>
                                <div class="col-6 pr-3">{{review.saqQuestion.questionNumber}}4</div>
                            </div>
                            <div class="d-flex">
                                <div class="col-6"><label>Comments</label>&nbsp;
                                </div>
                                <div class="col-6 pr-3 popover-content">
                                <span class="popover-display" container="body" [ngbPopover]="popTemplate"
                                      popoverTitle="Comment" placement="top"
                                      triggers="mouseenter:mouseleave">
                                    <span>{{review.comments[review.comments.length-1].comment}}</span>
                                </span>
                                </div>
                            </div>
                            <div class="d-flex">
                                <div class="col-6"><label>Action</label>&nbsp;
                                </div>
                                <div class="col-6 pr-3">
                                    <jhi-button (click)="goToQuestion(review)" update-retake>Retake</jhi-button>
                                </div>
                            </div>
                            <ng-template #popTemplate>
                                <ul *ngFor="let comments of review.comments">
                                    <li>{{comments.comment}}</li>
                                </ul>
                            </ng-template>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
